org.sunflow.core

## Interface ImageSampler

- All Known Implementing Classes:
    BucketRenderer, MultipassRenderer, ProgressiveRenderer, SimpleRenderer

      public interface ImageSampler

  This interface represents an image sampling algorithm capable of rendering the entire image. Implementations are responsible for anti-aliasing and filtering.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `prepare(Options options, Scene scene, int w, int h)` Prepare the sampler for rendering an image of w x h pixels
    `void` | `render(Display display)` Render the image to the specified display.

- - ### Method Detail

    - #### prepare

          boolean prepare(Options options,
                          Scene scene,
                          int w,
                          int h)

      Prepare the sampler for rendering an image of w x h pixels
      Parameters:
        `w` - width of the image
        `h` - height of the image

    - #### render

          void render(Display display)

      Render the image to the specified display. The sampler can assume the display has been opened and that it will be closed after the method returns.
      Parameters:
        `display` - Display driver to send image data to